Bug 1204679 - Kernel 6.0.3 fails to initialize sound card
Kernel 6.0.3 fails to initialize sound card
Status: RESOLVED FIXED
: 1204680 1204688 1204770 (view as bug list)
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Takashi Iwai
E-mail List
https://bugzilla.kernel.org/show_bug....
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-10-24 20:13 UTC by Hans-Peter Jansen
Modified: 2022-10-29 19:57 UTC (History)
10 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Lenovo Thinkpad P4 X1 Extreme fails to initialize (8.77 KB, text/plain)
2022-10-24 20:14 UTC, Hans-Peter Jansen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hans-Peter Jansen 2022-10-24 20:13:49 UTC
Hi Takashi,

after upgrade from 6.0.2 to 6.0.3, the sound card of a Lenovo Thinkpad P4 X1 Extreme fails to initialize properly due to: 

skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: Parent card not yet available, widget card binding deferred

The relevant kernel log is attached!
Comment 1 Hans-Peter Jansen 2022-10-24 20:14:32 UTC
Created attachment 862398 [details]
Lenovo Thinkpad P4 X1 Extreme fails to initialize
Comment 2 Takashi Iwai 2022-10-25 05:17:23 UTC
It's a known regression on 6.0.3 kernel.  The revert patch is on its way to 6.0.4 or later.

I backported the revert patch to our stable branch now.

The test kernel with the revert is being built in OBS home:tiwai:bsc1204679 repo.  Please give it a try later once after the build finishes.
Comment 3 Takashi Iwai 2022-10-25 05:18:07 UTC
*** Bug 1204680 has been marked as a duplicate of this bug. ***
Comment 4 Takashi Iwai 2022-10-25 06:53:52 UTC
*** Bug 1204688 has been marked as a duplicate of this bug. ***
Comment 5 Takashi Iwai 2022-10-25 06:56:23 UTC
The test kernel is available at:
  https://download.opensuse.org/repositories/home:/tiwai:/bsc1204679/standard/

Note that it's an official build, hence disable Secure Boot for testing, if it's enabled on BIOS beforehand.
Comment 6 Hans-Peter Jansen 2022-10-25 07:41:30 UTC
Hi Takashi,

thanks for the quick follow up.

(In reply to Takashi Iwai from comment #2)
> It's a known regression on 6.0.3 kernel.  The revert patch is on its way to
> 6.0.4 or later.
> 
> I backported the revert patch to our stable branch now.

Hm, the last changeset is related to Bluetooth L2CAP (also from you),
but no sound related commit:
https://github.com/openSUSE/kernel-source/commits/stable

> The test kernel with the revert is being built in OBS home:tiwai:bsc1204679
> repo.  Please give it a try later once after the build finishes.

The system is running a home-grown kernel brew, derived from the tree above,
built in a local obs (for various reasons, the nvidia drivers being essential
for one, and only remotely available for another).

Would it be okay for you to give me the commit id from some public git tree, 
and I will provide feedback on this?
Comment 7 Takashi Iwai 2022-10-25 07:53:39 UTC
(In reply to Hans-Peter Jansen from comment #6)
> Hi Takashi,
> 
> thanks for the quick follow up.
> 
> (In reply to Takashi Iwai from comment #2)
> > It's a known regression on 6.0.3 kernel.  The revert patch is on its way to
> > 6.0.4 or later.
> > 
> > I backported the revert patch to our stable branch now.
> 
> Hm, the last changeset is related to Bluetooth L2CAP (also from you),
> but no sound related commit:
> https://github.com/openSUSE/kernel-source/commits/stable

It's a mirror behind my PR.  The internal git tree has been already updated.
You'd need to wait for a while until the repo gets synced.
Comment 8 Jiri Kanicky 2022-10-25 09:41:19 UTC
I have the same problem on Thinkpad extreme gen 3.
Comment 9 Jiri Kanicky 2022-10-25 09:51:23 UTC
How can I install kernel 6.0.2 while waiting this to be fixed. This completely destroyed my laptop.
Comment 10 Takashi Iwai 2022-10-25 10:00:07 UTC
Just boot with the previous kernel.  The system should keep one more previous kernel, at least, and you can choose it from GRUB menu.
Comment 11 Hans-Peter Jansen 2022-10-25 10:45:57 UTC
(In reply to Jiri Kanicky from comment #9)
> How can I install kernel 6.0.2 while waiting this to be fixed. This
> completely destroyed my laptop.

NVIDIA involved? Otherwise a 6.0.2 should be available!

Or try Takashi's build! It's available meanwhile.

The issue should be corrected by this patch, as being found in patches.suse: 
Revert-ALSA-hda-Fix-page-fault-in-snd_hda_codec_shut.patch
Comment 12 Rigo Wenning 2022-10-25 13:40:00 UTC
I lost sound of my Dell WD15 Dock. 

The card shows up in lsusb
Bus 003 Device 005: ID 0bda:4014 Realtek Semiconductor Corp. USB Audio
Card is recognized as sound Card2

But when I try to play music via the card it says:

Failed to initialize audio driver 'alsa:device=hw=2.0'
Could not open/initialize audio device -> no sound.

Kernel 5.19 (tumbleweed 20220920) works just fine.

As this may be related, I noted it here instead of filing a new bug. If it is wildly different, I can also file a new bug. 

All other sound cards (intel, logitech camera & plantronics headset) work fine.
Comment 13 Takashi Iwai 2022-10-25 13:58:38 UTC
(In reply to Rigo Wenning from comment #12)
> I lost sound of my Dell WD15 Dock. 

Check with the kernel 6.0.2.  If it's broken, it's a different bug, and open another bug report.
Comment 14 Rigo Wenning 2022-10-25 15:01:44 UTC
Kernel 6.0.2 is not in the repos anymore. I will have to improvise something.
Comment 15 Takashi Iwai 2022-10-25 15:05:11 UTC
FYI, the older TW packages are available in TW history repo:
  https://download.opensuse.org/history/
Comment 16 Hans-Peter Jansen 2022-10-25 15:55:42 UTC
(In reply to Takashi Iwai from comment #15)
> FYI, the older TW packages are available in TW history repo:
>   https://download.opensuse.org/history/

And for the more adventurous out there:

The openSUSE_Tumbleweed_Kernel_stable repo of this project has the latest fixes from Takashi applied on top of 6.0.3:

https://build.opensuse.org/project/monitor/home:frispete:kernel?defaults=0&succeeded=1&failed=1&unresolvable=1&broken=1&blocked=1&dispatching=1&scheduled=1&building=1&finished=1&signing=1&locked=1&deleting=1&arch_x86_64=1&repo_openSUSE_Tumbleweed_Kernel_stable=1

Namely: 
patches.suse/Revert-ALSA-hda-Fix-page-fault-in-snd_hda_codec_shut.patch
patches.suse/Bluetooth-L2CAP-fix-use-after-free-in-l2cap_conn_del.patch

If you use this build, provide feedback, please!
Comment 17 Mathias Homann 2022-10-25 16:58:18 UTC
(In reply to Rigo Wenning from comment #14)
> Kernel 6.0.2 is not in the repos anymore. I will have to improvise something.

thats what the tumbleweed command is for - you roll backwards and forwards through snapshots...
Comment 18 Hans-Peter Jansen 2022-10-25 17:24:45 UTC
I hereby confirm, that with the revert applied, it does fix the sound issue properly!
Comment 19 Mathias Homann 2022-10-25 17:33:57 UTC
I (In reply to Hans-Peter Jansen from comment #16)

> The openSUSE_Tumbleweed_Kernel_stable repo of this project has the latest
> fixes from Takashi applied on top of 6.0.3:
 
> If you use this build, provide feedback, please!

obviously you have to turn off secure boot for that kernel. after that my laptop (a MSI Prestige 14 A11SCS) boots just fine, and sound works again.

Anything else that I should test?
Comment 20 Rigo Wenning 2022-10-25 17:51:50 UTC
(In reply to Mathias Homann from comment #17)
> (In reply to Rigo Wenning from comment #14)
> > Kernel 6.0.2 is not in the repos anymore. I will have to improvise something.
> 
> thats what the tumbleweed command is for - you roll backwards and forwards
> through snapshots...

You can only rollback to a version that was installed previously. My last snapshot was 20220920. If I revert from 20221023 it rolls back to 20220920 and this is known to work flawlessly. I will try to install kernel 6.02. by hand as I have multiversion enabled anyway.
Comment 21 Mathias Homann 2022-10-25 17:57:50 UTC
(In reply to Rigo Wenning from comment #20)
> (In reply to Mathias Homann from comment #17)
> > (In reply to Rigo Wenning from comment #14)
> > > Kernel 6.0.2 is not in the repos anymore. I will have to improvise something.
> > 
> > thats what the tumbleweed command is for - you roll backwards and forwards
> > through snapshots...
> 
> You can only rollback to a version that was installed previously. 

I'm pretty sure you're confusing snapper rollback with tumbleweed "rollback", but i might be wrong.
Comment 22 Rigo Wenning 2022-10-25 19:21:38 UTC
(In reply to Takashi Iwai from comment #13)
> (In reply to Rigo Wenning from comment #12)
> > I lost sound of my Dell WD15 Dock. 
> 
> Check with the kernel 6.0.2.  If it's broken, it's a different bug, and open
> another bug report.

Checked with kernel 6.0.2. and no sound card from WD15 Dock accessible in KDE. I will open another bug report. Kernel 5.19 works.
Comment 23 Hans-Peter Jansen 2022-10-26 06:49:58 UTC
(In reply to Mathias Homann from comment #19)
> I (In reply to Hans-Peter Jansen from comment #16)
> 
> > The openSUSE_Tumbleweed_Kernel_stable repo of this project has the latest
> > fixes from Takashi applied on top of 6.0.3:
>  
> > If you use this build, provide feedback, please!
> 
> obviously you have to turn off secure boot for that kernel.

or install the projects SSL certificate manually with mokutil.

> after that my
> laptop (a MSI Prestige 14 A11SCS) boots just fine, and sound works again.

Hey, great. Since the revert fixes this for you, you proved to suffer from the
same issue ;-).
 
> Anything else that I should test?

No. Since the revert landed in Kernel:stable meanwhile, it's just a matter of days, until it will condense in Factory as well.

We'll need to keep in mind, that the underlying issue, that this patch tried to address will persist in the 6.0.x series: certain (rare) combinations of sound driver {un,re}loads may result in oopses! 

OTOH, the solution to prevent loading it altogether wasn't the real McCoy either ;-).

Seriously, 6.1 will come with the full fix, that was considered as too intrusive for 6.0.x. Read here for the gory details: https://bugzilla.kernel.org/show_bug.cgi?id=216613
Comment 24 Takashi Iwai 2022-10-27 06:21:03 UTC
Closed as the fix is on the way for release.
Comment 25 Takashi Iwai 2022-10-27 06:21:17 UTC
*** Bug 1204770 has been marked as a duplicate of this bug. ***
Comment 26 Mathias Homann 2022-10-29 12:09:10 UTC
(In reply to Hans-Peter Jansen from comment #23)
> (In reply to Mathias Homann from comment #19)


> > obviously you have to turn off secure boot for that kernel.
> 
> or install the projects SSL certificate manually with mokutil.


How do I do that?
Comment 27 Pablo Sanchez 2022-10-29 12:11:21 UTC
(In reply to Mathias Homann from comment #26)
> (In reply to Hans-Peter Jansen from comment #23)
> > (In reply to Mathias Homann from comment #19)
> 
> 
> > > obviously you have to turn off secure boot for that kernel.
> > or install the projects SSL certificate manually with mokutil.
> 
> 
> How do I do that?

The fix is scheduled to roll out in under 48 hours.  It might be best to wait.

If possible, use a Bluetooth device during the interim.
Comment 28 Mathias Homann 2022-10-29 19:57:15 UTC
(In reply to Pablo Sanchez from comment #27)


> The fix is scheduled to roll out in under 48 hours.  It might be best to
> wait.

I just installed TW snapshot 20221028 with kernel 6.0.5 and i can confirm sound works.